Page 1 of 1

Madsonic REST API Version

Unread postPosted: 11 Feb 2015, 18:06
by daneren2005
Can you stop having Madsonic claim to be a higher REST version then it actually is? For example 5.1 claims to be 1.12 which is a version above what the maximum Subsonic version, but doesn't even support stuff from 1.11. Also, the documentation on http://beta.madsonic.org/pages/api.jsp is wrong. It claims that 5.1 is 10.2 which it is not, and it is missing all of the Madsonic specific functions.

Re: Madsonic REST API Version

Unread postPosted: 04 May 2015, 19:18
by Madevil
hi there,

Since I have upgraded the rest protocol to version 2.0.0, I slipped also into some client compatibility issues. I'll change that for the final version.

best regards

Re: Madsonic REST API Version

Unread postPosted: 04 May 2015, 21:18
by daneren2005
Out of curiosity are you pulling all the upstream Subsonic API changes for the REST 2.0?

Re: Madsonic REST API Version

Unread postPosted: 04 May 2015, 23:04
by Madevil
daneren2005 wrote:Out of curiosity are you pulling all the upstream Subsonic API changes for the REST 2.0?


You are right, since Subsonic 5.1 some changes are missing and reflect not the full backwards compatibility,
but REST 2.0 should support both the Madsonic API (which will be heavily revised) and the Subsonic 5.x API.

At the moment many classes, dao's and the db schema must be complete re-factored to support new features and external db support (MySQL, PostgreSQL, MariaDB, ...)

best regards